ISPConfig 2.2.5 released

Discussion in 'General' started by till, Jul 18, 2006.

  1. falko

    falko Super Moderator ISPConfig Developer

    If you mean this: http://www.howtoforge.com/forums/showpost.php?p=33741&postcount=16
    you just need to replace the contents of the file.

    Where exactly?
     
  2. bersi

    bersi New Member

    Update 2.2.3 -> 2.2.5 does not work

    Hi,
    as said in the upgrade instructions one should upgrade from 2.2.3 to 2.2.5 directly, thus avoiding the fault in 2.2.4. But this does not work for me. The installer first kills the mysql daemon and then complains about it. restarting the mysqldaemon does not help since the installer stops it again and then complains about it again.......
    Any ideas, ignore the direct 2.2.5 upgrade and run both, the 2.2.4 and then the 2.2.5??

    regards
    thorsten
     
  3. till

    till Super Moderator Staff Member ISPConfig Developer

    This problem is not related to the fact that you skipped one version number, it does not make any difference if you install 2.2.4 first.

    Is this the first update on this server or did prior updates work?
    Which linux distribution do you use?
    Does the start / stop script for your mysql database in /etc/ini.d works correctly if you use it manually?
     
  4. bersi

    bersi New Member

    Hi Till,
    linux is Mandriva 2006 (install sees that corectly)
    /etc/init.d/mysqld start / stop works (but it is init.d not ini.d as you qoute (typo?))
    I had the same problem when directly updatting from 2.2.1 to 2.2.3. Solved that by first upgrading to 2.2.2 and then to 2.2.3.
    Hope that answers your questions?

    Thorsten
     
  5. badben

    badben ISPConfig Developer ISPConfig Developer

    I had this problem, just stop mysql and then try again.
     
  6. bersi

    bersi New Member

    Yep,
    That solved it (but it remains weird... and should be looked into)

    bersi
     
  7. falko

    falko Super Moderator ISPConfig Developer

  8. zod

    zod New Member

    Installing over ISPConfig 2.11

    Hello!

    I'm on a prod. server, and willing to install 2.25 over 2.11. Can update be done simply as over newer versions? What should I backup before starting the process not to loose user data. (I suggest: ISPConfig database, /root/ispconfig, and /home/admispconfig, any others?) If install fails can I restore the original state by simply copying files to their original places?
     
  9. till

    till Super Moderator Staff Member ISPConfig Developer

    yes.

    Thats sufficient. Make sure you backup the files including permissions e.g. with "tar pcfz ....."

    Yes.
     
  10. zod

    zod New Member

    2.11 -> 2.25 succeeded

    Thank you! I have succesfully upgraded my ISPConfig installation. Thanks a lot!
     
  11. Joffar

    Joffar New Member

    I upgraded from 2.2.3 to to 2.2.5 wihtout any issues. However when I restarted the ISPConfig server I got the following error:
    Code:
    shell-init: error retrieving current directory: getcwd: cannot access parent directories: No such file or directory
    
    It appears that everything is working, but since I havent gotten this message before I am curious if anyone know what the issue is.

    Thank you!
     
  12. falko

    falko Super Moderator ISPConfig Developer

    This means that you're running a command (in this case the command to restart ISPConfig) from a non-existing directory (I guess install_ispconfig - this directory is deleted by the ISPConfig installer/updater). You can ignore it, it's nothing to worry about.
     
  13. Joffar

    Joffar New Member

    You're correct, I had to redo the certificate upon the upgrade and forgot to change the directory.

    Thank you!
     
  14. Chuvanan.org

    Chuvanan.org New Member

    Topic: ISPConfig 2.2.5 released
    Date: 18th July 2006, 11:29
    Please check "Date" server
     
  15. tal56

    tal56 Member

    Sounds about the right date since it's 2.2.5 and 2.2.24 has just been released. Maybe you are thinking it's version 2.2.25?
     
  16. czdavid

    czdavid Member

    I get error that my OS isnt supported - Debian 4 Etch...I dont know why..please help me..
     
  17. till

    till Super Moderator Staff Member ISPConfig Developer

    Please post the content of the file:

    /etc/debian_version
     
  18. czdavid

    czdavid Member

    Content of that file is only: 4.0

    But now it is ok, i was triing install 2.2.5(old version), i overlooked and right now i have sucefully updated to version 2.2.25 sorry and thank you :)
     
  19. zalo

    zalo New Member

    I’m a bit confused, what’s the difference between ISPConfig 2.2.25 and ISPconfig 2.2.5??

    I have installed 2.2.25 on my production server but then I saw this new post with version 2.2.5. Is this a stable release that should be installed?

    Is there any reason why you went from version number 2.2.25 to 2.2.5 and skipped the versions between?

    Regards
    Zalo
     
  20. czdavid

    czdavid Member

    Version 2.2.5 was relased in year 2006, its definitly old version but reason why is latest version marked 2.2.25 and older 2.2.5...i dont know...
     

Share This Page